Skip to main content
GET
List leaves for a profile

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Authorization
string
required

Bearer token

Path Parameters

profile_id
string
required

Query Parameters

include
string

Comma-separated list of relationships to include. Allowed: profile

sort
string

Sort order. Prefix with - for descending. Allowed: created_at, updated_at

filter[key]
string

Filter results. Available filters: is_current (boolean, Limit to currently-effective records.), leave_type, name, name.neq, name.cont (case-insensitive substring match), name.in (comma-separated list), name.nin (comma-separated list), external_id, external_id.neq, external_id.cont (case-insensitive substring match), external_id.in (comma-separated list), external_id.nin (comma-separated list), effective_from, effective_from.neq, effective_from.lt, effective_from.lte, effective_from.gt, effective_from.gte, effective_to, effective_to.neq, effective_to.lt, effective_to.lte, effective_to.gt, effective_to.gte, fte_percentage (number), fte_percentage.neq (number), fte_percentage.lt (number), fte_percentage.lte (number), fte_percentage.gt (number), fte_percentage.gte (number), fte_percentage.in (number, comma-separated list), fte_percentage.nin (number, comma-separated list), show_on_dashboard (boolean), profile. Custom fields can also be filtered with filter[custom_fields.field_name].

page[size]
integer

Number of items per page (max 100)

page[after]
string

Cursor for next page

page[before]
string

Cursor for previous page

Response

leaves found

data
object[]
required
meta
object